import * as react_jsx_runtime from 'react/jsx-runtime';
import * as React from 'react';
import { ReactNode, MouseEvent } from 'react';
import { CrossmintAuth } from '@crossmint/client-sdk-auth';
import { EVMSmartWalletChain } from '@crossmint/client-sdk-smart-wallet';
import { UIConfig } from '@crossmint/common-sdk-base';
import { SDKExternalUser } from '@crossmint/common-sdk-auth';

type CrossmintAuthWalletConfig = {
    defaultChain: EVMSmartWalletChain;
    createOnLogin: "all-users" | "off";
    type: "evm-smart-wallet";
    showPasskeyHelpers?: boolean;
};
type LoginMethod = "email" | "google" | "farcaster" | "web3" | "twitter";
type CrossmintAuthProviderProps = {
    embeddedWallets?: CrossmintAuthWalletConfig;
    appearance?: UIConfig;
    termsOfServiceText?: string | ReactNode;
    prefetchOAuthUrls?: boolean;
    onLoginSuccess?: () => void;
    authModalTitle?: string;
    children: ReactNode;
    loginMethods?: LoginMethod[];
    refreshRoute?: string;
    logoutRoute?: string;
};
type AuthStatus = "logged-in" | "logged-out" | "in-progress" | "initializing";
interface AuthContextType {
    crossmintAuth?: CrossmintAuth;
    login: (defaultEmail?: string | MouseEvent) => void;
    logout: () => void;
    jwt?: string;
    user?: SDKExternalUser;
    status: AuthStatus;
    getUser: () => void;
}
declare const AuthContext: React.Context<AuthContextType>;
declare function CrossmintAuthProvider({ embeddedWallets, children, appearance, termsOfServiceText, prefetchOAuthUrls, authModalTitle, onLoginSuccess, loginMethods, refreshRoute, logoutRoute, }: CrossmintAuthProviderProps): react_jsx_runtime.JSX.Element;

export { AuthContext, type AuthContextType, CrossmintAuthProvider, type CrossmintAuthProviderProps, type CrossmintAuthWalletConfig, type LoginMethod };
