import * as react_jsx_runtime from 'react/jsx-runtime';
import { ReactNode } from 'react';
import { OAuthProvider } from '@crossmint/common-sdk-auth';
import { UIConfig } from '@crossmint/common-sdk-base';
import { LoginMethod, CrossmintAuthWalletConfig } from '../CrossmintAuthProvider.js';
import '@crossmint/client-sdk-auth';
import '@crossmint/client-sdk-smart-wallet';

type AuthStep = "initial" | "otp" | "qrCode" | "web3" | "web3/metamask" | "web3/walletconnect";
type OAuthUrlMap = Record<OAuthProvider, string>;
interface AuthFormContextType {
    step: AuthStep;
    error: string | null;
    appearance?: UIConfig;
    termsOfServiceText?: string | ReactNode;
    authModalTitle?: string;
    loginMethods: LoginMethod[];
    defaultEmail?: string;
    oauthUrlMap: OAuthUrlMap;
    isLoadingOauthUrlMap: boolean;
    baseUrl: string;
    setStep: (step: AuthStep) => void;
    setError: (error: string | null) => void;
    setDialogOpen: (open: boolean, successfulLogin?: boolean) => void;
}
type ContextInitialStateProps = {
    appearance?: UIConfig;
    termsOfServiceText?: string | ReactNode;
    authModalTitle?: string;
    loginMethods: LoginMethod[];
    defaultEmail?: string;
    baseUrl: string;
    setDialogOpen?: (open: boolean, successfulLogin?: boolean) => void;
    embeddedWallets: CrossmintAuthWalletConfig;
};
type AuthFormProviderProps = {
    setDialogOpen?: (open: boolean, successfulLogin?: boolean) => void;
    preFetchOAuthUrls: boolean;
    initialState: ContextInitialStateProps;
    children: ReactNode;
};
declare const useAuthForm: () => AuthFormContextType;
declare const AuthFormProvider: ({ setDialogOpen, preFetchOAuthUrls, initialState, children, }: AuthFormProviderProps) => react_jsx_runtime.JSX.Element;

export { AuthFormProvider, useAuthForm };
